import { customPropsToStyle as r, $attr as c, $slot as o, $vueSlot as e, $reactSub as u, $reactChildren as $ } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
const a = ["content", "summary"];
function i(t) {
  return n`
    <section 
      .z-accordion=${t.config || ""}
      .style=${r(t, "accordion")}
      ?borderless=${t.borderless}
    >
      <details ?open=${t.open}>
        <summary>${t.summary}</summary>
      </details>
      <main>
        ${t.content}
      </main>
    </section>
  `;
}
function m(t) {
  return n`
    <z-accordion
      .config=${t.config}
      .summary=${c("summary", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open || void 0}
    >
      ${o("content", t)}
      ${o("summary", t)}
    </z-accordion>
  `;
}
function s(t) {
  return n`
    <vue-accordion
      .config=${t.config}
      .summary=${c("summary", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open || void 0}
    >
      ${e("content", t)}
      ${e("summary", t)}
    </vue-accordion>
  `;
}
function d(t) {
  return n`
    <react-accordion
      .config=${t.config}
      .summary=${u("summary", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open || void 0}
    >
      ${$(t)}
    </react-accordion>
  `;
}
const f = {
  name: "Accordion",
  category: "layouts",
  slots: a,
  css: i,
  vue: s,
  react: d,
  web: m,
  react_native: m
};
export {
  f as Accordion,
  a as zAccordionSlots
};