import { customPropsToStyle as y, $attr as a, $slot as d, $vueSlot as i, $reactSub as $ } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { zInputSlots as v } from "./_Input.js";
const b = v;
function f(e) {
  var n;
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  const [c, m] = ((n = e.range) == null ? void 0 : n.map((l) => l === null ? void 0 : l.toString())) || [];
  return t`
    <label 
      .z-date-input=${e.config || ""}
      .style=${y(e, "date-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? t`<small>${e["help-text"]}</small>` : ""}
      <input 
        .type=${e["input-type"] || "date"}
        .placeholder=${e.label}
        .name=${e.name || "z-date-input"}
        .min=${c}
        .max=${m}
        .pattern=${e.pattern}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
      />
    </label>
  `;
}
function u(e) {
  return t`
    <z-date-input
      .config=${e.config}
      .label=${a("label", e)}     
      .model=${e.model || void 0}
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min || void 0}
      .max=${e.max || void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${a("help-text", e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
      ${d("label", e)}
      ${d("help-text", e)}
    </z-date-input>
  `;
}
function h(e) {
  return t`
    <vue-date-input
      .config=${e.config}
      .label=${a("label", e)}
      .model=${e.model || void 0} 
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min || void 0}
      .max=${e.max || void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${a("help-text", e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
      ${i("label", e)}
      ${i("help-text", e)}
    </vue-date-input>
  `;
}
function x(e) {
  return t`
    <react-date-input
      .config=${e.config}
      .label=${$("label", e)}
      .model=${e.model || void 0}  
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min || void 0}
      .max=${e.max || void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${$("help-text", e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
    </react-date-input>
  `;
}
const w = {
  name: "DateInput",
  category: "inputs",
  slots: b,
  css: f,
  vue: h,
  react: x,
  web: u,
  react_native: u
};
export {
  w as DateInput,
  b as zDateInputSlots
};