import { customPropsToStyle as r, $attr as a, $slot as c, $vueSlot as m, $reactSub as $, $reactChildren as o } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Pictogram as g } from "./Pictogram.js";
const u = ["content", "header", "image-src", "actions"];
function s(t) {
  if (typeof t["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  const i = t["image-src"] ? e`
    <img 
      z-image 
      image-size="3" 
      .src=${t["image-src"]} 
      alt="Empty state image"
    />` : "";
  return e`
    <section 
      z-empty-state
      .style=${r(t, "empty-state")}
    >
      ${t.pictogram ? g.css({ pictogram: t.pictogram }) : i}
      <main>
        ${t.header ? e`<h3>${t.header}</h3>` : ""}
        ${t.content ? e`<p>${t.content}</p>` : ""}
        
      </main>
    </section>`;
}
function n(t) {
  return e`
    <z-empty-state
      .header=${a("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${a("content", t)}
    >
      ${c("header", t)}
      ${c("content", t)}
    </z-empty-state>`;
}
function l(t) {
  return e`
    <vue-empty-state
      .header=${a("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${a("content", t)}
    >
      ${m("content", t)}
      ${m("header", t)}
    </vue-empty-state>`;
}
function h(t) {
  return e`
    <react-empty-state
      .header=${$("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${a("content", t)}
    >
      ${o(t)}
    </react-empty-state>`;
}
const S = {
  name: "EmptyState",
  category: "molecules",
  slots: u,
  css: s,
  vue: l,
  react: h,
  web: n,
  react_native: n
};
export {
  S as EmptyState,
  u as zEmptyStateSlots
};