import { getMonthName as u } from "../helpers/Date.js";
import { customPropsToStyle as d, $attr as e, $slot as i, $vueSlot as r, $reactSub as g, $reactChildren as l } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
import { Button as h } from "./Button.js";
import { Pictogram as v } from "./Pictogram.js";
const f = [
  "content",
  "header",
  "image-src",
  "actions"
];
function S(t) {
  var m;
  if (typeof t["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  const { pictogram: a } = t, c = t.date ? new Date(t.date) : /* @__PURE__ */ new Date(), $ = u(c, t.locale || "en", "short"), s = t["image-src"] ? n`<img .src=${t["image-src"]} alt="Event list item image"/>` : "";
  return n`
    <li 
      z-event-list-item
      .style=${d(t, "event-list-item")}
    >
      <time datetime=${(m = t.date) == null ? void 0 : m.toString()}>
        <span>${$}</span>
        <span>${c.getDate()}</span>
      </time>
      ${a ? v.css({ pictogram: a }) : s}
      <main>
        <header>
          ${t.header}
        </header>
        <p>${t.content}</p>
      </main>

      ${h.css({ icon: "calendar-plus" })}
    </li>
  `;
}
function o(t) {
  return n`
    <z-event-list-item
      .date=${t.date}
      .header=${e("header", t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e("content", t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${i("header", t)}
      ${i("content", t)}
    </z-event-list-item>
  `;
}
function w(t) {
  return n`
    <vue-event-list-item
      .date=${t.date}
      .header=${e("header", t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e("content", t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${r("header", t)}
      ${r("content", t)}
    </vue-event-list-item>
  `;
}
function E(t) {
  return n`
    <react-event-list-item
      .date=${t.date}
      .header=${g("header", t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e("content", t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${l(t)}  
    </react-event-list-item>
  `;
}
const I = {
  name: "EventListItem",
  category: "molecules",
  slots: f,
  css: S,
  vue: w,
  react: E,
  web: o,
  react_native: o
};
export {
  I as EventListItem,
  f as zEventListItemSlots
};