import { customPropsToStyle as u, $attr as a, $slot as t, $vueSlot as n, $reactSub as d } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as r } from "./_Input.js";
const c = r;
function o(e) {
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  const $ = e.config || "";
  return l`
    <label 
      .z-password-input=${$}
      .style=${u(e, "password-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? l`<small>${e["help-text"]}</small>` : ""}
      <input
        type="password"
        .placeholder=${e.label}
        .name=${e.name || "z-password-input"}
        ?disabled=${e.disabled}
        ?readonly=${e.readonly}
        ?required=${e.required}
      />
    </label>
  `;
}
function i(e) {
  return l`
    <z-password-input
      .config=${e.config}
      .label=${a("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${a("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
      ${t("label", e)}
      ${t("help-text", e)}
    </z-password-input>
  `;
}
function b(e) {
  return l`
    <vue-password-input
      .config=${e.config}
      .label=${a("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${a("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
      ${n("label", e)}
      ${n("help-text", e)}
    </vue-password-input>
  `;
}
function f(e) {
  return l`
    <react-password-input
      .config=${e.config}
      .label=${d("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${d("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
    </react-password-input>
  `;
}
const s = {
  name: "PasswordInput",
  category: "inputs",
  slots: c,
  css: o,
  vue: b,
  react: f,
  web: i,
  react_native: i
};
export {
  s as PasswordInput,
  c as zPasswordInputSlots
};