import { customPropsToStyle as v, $attr as d, $complexAttr as $, $slot as c, $vueSlot as u, $reactSub as b } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const h = [
  "label",
  "help-text",
  "options"
];
function r(e) {
  var l;
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  return t`
    <fieldset 
      .z-radio-select=${e.config || ""}
      .style=${v(e, "radio-select")}
    >
      <legend>${e.label}</legend>
      ${(l = e.options) == null ? void 0 : l.map(({ disabled: a, value: n, text: i }, f) => {
    var o;
    return t`
        <label>
          <span>${i}</span>
          <input
            type="radio"
            .name=${e.name || "radio-select"}
            .value=${n}
            ?disabled=${e.disabled || a}
            ?required=${e.required}
          />
          ${e["help-text"] && f === (((o = e.options) == null ? void 0 : o.length) || 0) - 1 ? t`<small>${e["help-text"]}</small>` : ""}
        </label>
        `;
  })}
    </fieldset>
  `;
}
function m(e) {
  var l, a, n;
  return t`
    <z-radio-select
      .config=${e.config}
      .model=${(l = e.model) != null ? l : void 0}
      .label=${d("label", e)}     
      .name=${e.name}
      .options=${$("options", e)}
      .help-text=${d("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${((a = e.slotted) == null ? void 0 : a.options) && ((n = e.options) == null ? void 0 : n.map((i) => t`
        <option .value=${i.value} ?disabled=${i.disabled}>${i.text}</option>
      `))}
      ${c("label", e)}
      ${c("help-text", e)}
    </z-radio-select>
  `;
}
function x(e) {
  var l;
  return t`
    <vue-radio-select
      .config=${e.config}
      .model=${(l = e.model) != null ? l : void 0}
      .label=${d("label", e)}     
      .name=${e.name}
      .options=${$("options", e)}
      .help-text=${d("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${u("label", e)}
      ${u("help-text", e)}
    </vue-radio-select>
  `;
}
function g(e) {
  var l;
  return t`
    <react-radio-select
      .config=${e.config}
      .model=${(l = e.model) != null ? l : void 0}
      .label=${b("label", e)}     
      .name=${e.name}
      .options=${$("options", e)}
      .help-text=${b("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
    </react-radio-select>
  `;
}
const q = {
  name: "RadioSelect",
  category: "inputs",
  slots: h,
  css: r,
  vue: x,
  react: g,
  web: m,
  react_native: m
};
export {
  q as RadioSelect,
  h as zRadioSelectSlots
};