import { customPropsToStyle as a } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
const s = ["image-src"];
function n(e) {
  if (typeof e["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  return e["image-src"] ? c`
    <img
      .z-safe-space=${e.config || ""}
      .src=${e["image-src"]}
      loading="lazy"
      .style=${a(e, "safe-space")}
    />
  ` : c`
    <div 
      .z-safe-space=${e.config}
      .style=${a(e, "safe-space")}
    ></div>
  `;
}
function t(e) {
  return c`
    <z-safe-space
      .config=${e.config}
      .image-src=${e["image-src"]}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </z-safe-space>
  `;
}
function i(e) {
  return c`
    <vue-safe-space
      .config=${e.config}
      .image-src=${e["image-src"]}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </vue-safe-space>
  `;
}
function f(e) {
  return c`
    <react-safe-space
      .config=${e.config}
      .image-src=${e["image-src"]}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </react-safe-space>
  `;
}
const r = {
  name: "SafeSpace",
  category: "atoms",
  slots: s,
  css: n,
  vue: i,
  react: f,
  web: t,
  react_native: t
};
export {
  r as SafeSpace,
  s as zSafeSpaceSlots
};