import { customPropsToStyle as m, $attr as c, $slot as i, $vueSlot as o, $reactChildren as $ } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Pictogram as r } from "./Pictogram.js";
import { Shape as s } from "./Shape.js";
const u = ["content", "category", "image-src", "actions"];
function f(t) {
  const { pictogram: a, shape: g = "1" } = t;
  return e`
    <section 
      .z-stage-banner=${t.config || ""}
      .style=${m(t, "stage-banner")}
    >
      ${a ? r.css({ pictogram: a }) : ""}
      ${t["image-src"] ? e`<img z-image src=${t["image-src"]} alt="Image" />` : ""}

      <main>
        ${t.category ? e`<h6>${t.category}</h6>` : ""}
        ${t.content ? e`<h3>${t.content}</h3>` : ""}
      </main>

      ${!t.pictogram && !t["image-src"] ? s.css({ shape: g }) : ""}
    </section>
  `;
}
function n(t) {
  return e`
    <z-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c("content", t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("content", t)}
    </z-stage-banner>
  `;
}
function h(t) {
  return e`
    <vue-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c("content", t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${o("content", t)}
    </vue-stage-banner>
  `;
}
function y(t) {
  return e`
    <react-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c("content", t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${$(t)}
    </react-stage-banner>
  `;
}
const z = {
  name: "StageBanner",
  category: "molecules",
  slots: u,
  css: f,
  vue: h,
  react: y,
  web: n,
  react_native: n
};
export {
  z as StageBanner,
  u as zStageBannerSlots
};