import { customPropsToStyle as h, $attr as i, $complexAttr as $, $slot as d, $vueSlot as u, $reactSub as m } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as g } from "./_Input.js";
const x = [...g, "data-list"];
function b(t) {
  var e;
  if (typeof t.label == "function")
    throw new Error("Cannot render a function as a label");
  const a = t["data-list"] ? l`
    <datalist id="list-id">
      ${t["data-list"].map((n) => l`<option value=${n}></option>`)}
    </datalist>
  ` : "";
  return l`
  <label 
    .z-text-input=${t.config || ""} 
    .icon=${t.icon}
    .style=${h(t, "text-input")}
  >
    <span>${t.label}</span>
    ${t["help-text"] ? l`<small>${t["help-text"]}</small>` : ""}
    <input 
      .type=${t["input-type"] || "text"}
      .maxlength=${t["max-length"]}
      .minlength=${t["min-length"]}
      .placeholder=${t.placeholder || t.label}
      .name=${t.name || "z-text-input"}
      .pattern=${t.pattern}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
      .autocomplete=${t.autocomplete}
      .list=${t["data-list"] && "list-id"}
    />
    ${t["max-length"] ? l`<output>${((e = t.model) == null ? void 0 : e.length) || 0} / ${t["max-length"]}</output>` : ""}
    ${a}
  </label>
  `;
}
function c(t) {
  var a, e;
  return l`
    <z-text-input
      .config=${t.config}
      .model=${t.model || void 0}
      .input-type=${t["input-type"]}
      .label=${i("label", t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${$("data-list", t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${i("help-text", t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((a = t.slotted) == null ? void 0 : a["data-list"]) && ((e = t["data-list"]) == null ? void 0 : e.map((n) => l`
        <option .value=${n}></option>`))}
      ${d("label", t)}
      ${d("help-text", t)}
    </z-text-input>
  `;
}
function o(t) {
  var a, e;
  return l`
    <vue-text-input
      .config=${t.config}
      .model=${t.model || void 0}
      .input-type=${t["input-type"]}
      .label=${i("label", t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${$("data-list", t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${i("help-text", t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((a = t.slotted) == null ? void 0 : a["data-list"]) && ((e = t["data-list"]) == null ? void 0 : e.map((n) => l`
        <option .value=${n}></option>`))}
      ${u("label", t)}
      ${u("help-text", t)}
    </vue-text-input>
  `;
}
function y(t) {
  var a, e;
  return l`
    <react-text-input
      .config=${t.config}
      .model=${t.model || void 0}
      .input-type=${t["input-type"]}
      .label=${m("label", t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${$("data-list", t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${m("help-text", t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((a = t.slotted) == null ? void 0 : a["data-list"]) && ((e = t["data-list"]) == null ? void 0 : e.map((n) => l`
        <option .value=${n}></option>`))}
    </react-text-input>
  `;
}
const S = {
  name: "TextInput",
  category: "inputs",
  slots: x,
  css: b,
  vue: o,
  react: y,
  web: c,
  react_native: c
};
export {
  S as TextInput,
  x as zTextInputSlots
};