import { customPropsToStyle as m, $attr as c, $slot as n, $vueSlot as i, $reactSub as $, $reactChildren as r } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Image as u } from "./Image.js";
const l = ["content", "header", "image-src", "actions"];
function f(t) {
  if (typeof t["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  const o = u.css({
    "image-src": t["image-src"],
    "image-alt": t["image-alt"]
  });
  return e`
    <article 
      .z-tile=${t.config || ""}
      .style=${m(t, "tile")}
    >
      ${o}
      
      <main>
        ${t.header && e`<header>${t.header}</header>`}
        <p>${t.content}</p>
      </main>

      ${t.actions ? e`<div>${t.actions}</div>` : ""}
    </article>
  `;
}
function a(t) {
  return e`
    <z-tile
      .config=${t.config}
      .header=${c("header", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${n("content", t)}
      ${n("header", t)}
    </z-tile>
  `;
}
function d(t) {
  return e`
    <vue-tile
      .config=${t.config}
      .header=${c("header", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("header", t)}
      ${i("content", t)}
    </vue-tile>
  `;
}
function g(t) {
  return e`
    <react-tile
      .config=${t.config}
      .header=${$("header", t)}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${r(t)}
    </react-tile>
  `;
}
const S = {
  name: "Tile",
  category: "molecules",
  slots: l,
  css: f,
  web: a,
  vue: d,
  react: g,
  react_native: a
};
export {
  S as Tile,
  l as zTileSlots
};