import { customPropsToStyle as o, $attr as l, $slot as i, $vueSlot as $, $reactSub as d } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { zInputSlots as b } from "./_Input.js";
const h = b;
function f(e) {
  var a;
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  const [m, u] = ((a = e.range) == null ? void 0 : a.map((n) => n === null ? void 0 : n.toString())) || [];
  return t`
    <label 
      .z-time-input=${e.config || ""}
      .style=${o(e, "time-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? t`<small>${e["help-text"]}</small>` : ""}
      <input
        type="time"
        .name=${e.name || "z-time-input"}
        .min=${m}
        .max=${u}
        .pattern=${e.pattern}
        ?disabled=${e.disabled}
        ?readonly=${e.readonly}
        ?required=${e.required}
        .autocomplete=${e.autocomplete}
      />
    </label>
  `;
}
function c(e) {
  return t`
    <z-time-input
      .config=${e.config}
      .model=${e.model || void 0}
      .label=${l("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${l("help-text", e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${i("label", e)}
      ${i("help-text", e)}
    </z-time-input>
  `;
}
function r(e) {
  return t`
    <vue-time-input
      .config=${e.config}
      .model=${e.model || void 0}
      .label=${l("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${l("help-text", e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${$("label", e)}
      ${$("help-text", e)}
    </vue-time-input>
  `;
}
function g(e) {
  return t`
    <react-time-input
      .config=${e.config}
      .model=${e.model || void 0}
      .label=${d("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${d("help-text", e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
    </react-time-input>
  `;
}
const w = {
  name: "TimeInput",
  category: "inputs",
  slots: h,
  css: f,
  vue: r,
  react: g,
  web: c,
  react_native: c
};
export {
  w as TimeInput,
  h as zTimeInputSlots
};