import { SizelessIconAttr } from '../data/Icons';
import { CSSStyle, CodeSample } from './_shared';
import { ZActionCard_Props } from './ActionCard.props';
export * from './ActionCard.props';
export type ZActionCard_CodeProps = Omit<ZActionCard_Props, 'content' | 'header'> & {
    actionIcon?: SizelessIconAttr;
    actionButton?: boolean;
    content?: string | CodeSample;
    header?: string | CodeSample;
    slotted?: {
        content?: boolean;
        header?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZActionCard_CodeProps): CodeSample;
declare function Web(props: ZActionCard_CodeProps): CodeSample;
declare function Vue(props: ZActionCard_CodeProps): CodeSample;
declare function React(props: ZActionCard_CodeProps): CodeSample;
export declare const ActionCard: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "pre-line", "image-src", "actions", "action-button"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
