import { BaseComponent, CustomTokens, HasImage, HasPictogram } from './_shared';
import { ZTag_Props } from './Tag.props';
export type ZActionCard_Custom = 'shadow' | 'bg' | 'color' | 'max-width' | 'width' | 'height';
export type ZActionCard_Props = BaseComponent & HasImage & HasPictogram & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly wide: boolean;
    /** */
    readonly tags: (string | {
        text: string;
        fill: ZTag_Props['fill'];
    })[];
    /** */
    readonly 'pre-line': string;
    /** */
    readonly custom: CustomTokens<ZActionCard_Custom>;
}>;
export declare const zActionCardSlots: ["content", "header", "pre-line", "image-src", "actions", "action-button"];
export type ZActionCard_Slots = (typeof zActionCardSlots)[number];
export type ZActionCard_Events = Partial<{
    readonly click: void;
}>;
