import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
import { ZTag_Props } from './Tag.props';
export type ZArticleCard_Custom = 'shadow' | 'bg' | 'color' | 'max-width' | 'width' | 'height';
export type ZArticleCard_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly wide: boolean;
    /** */
    readonly tags: (string | {
        text: string;
        fill: ZTag_Props['fill'];
    })[];
    /** */
    readonly 'pre-line': string | {
        text: string;
        icon: SizelessIconAttr;
    };
    /** */
    readonly custom: CustomTokens<ZArticleCard_Custom>;
}>;
export declare const zArticleCardSlots: ["content", "header", "pre-line", "image-src", "actions"];
export type ZArticleCard_Slots = (typeof zArticleCardSlots)[number];
export type ZArticleCard_Events = Partial<{
    readonly click: void;
}>;
