import { SizelessIconAttr } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZButton_Type = 'primary' | 'secondary' | 'positive' | 'negative' | 'link';
export type ZButton_Size = 'xs' | 's' | 'm' | 'l';
export type ZButton_Custom = 'bg' | 'color' | 'backdrop' | 'radius' | `popover-${'radius' | 'padding'}`;
export type ZButton_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: ToAttrChain<ZButton_Type, ZButton_Size, 'round'>;
    /** Text of the button */
    readonly content: string;
    /** ... */
    readonly icon: SizelessIconAttr;
    /** ... */
    readonly 'icon-right': boolean;
    /** ... */
    readonly loading: boolean;
    /** ... */
    readonly disabled: boolean;
    /** ... */
    readonly wide: boolean | 'spread';
    /** */
    readonly href: string;
    /** */
    readonly target: '_blank' | '_self' | '_parent' | '_top';
    /** */
    readonly 'popover-target': string;
    /** */
    readonly 'as-submit': boolean;
    /** */
    readonly custom: CustomTokens<ZButton_Custom>;
}>;
export declare const zButtonSlots: ["content", "popover"];
export type ZButton_Slots = (typeof zButtonSlots)[number];
export type ZButton_Events = Partial<{
    /** */
    readonly click: void;
}>;
