import { Digit, DigitWithoutZero, OrElse } from '../typescript';
import { ZCalendar_Props } from './Calendar.props';
import { ZInput_Props } from './_Input.props';
export type Year = `${19 | 20}${Digit}${Digit}`;
export type Month = `${0}${DigitWithoutZero}` | `${10 | 11 | 12}`;
export type Day = `${0}${DigitWithoutZero}` | `${1 | 2}${Digit}` | `3${0 | 1}`;
export type ZDateInput_Model = `${Year}-${string}` | OrElse | null;
export type ZDateInput_Props = ZInput_Props & Pick<ZCalendar_Props, 'calendar-type' | 'first-weekday' | 'today-nav' | 'selected-nav'> & Partial<{
    /** */
    readonly model: ZDateInput_Model;
    /** */
    readonly 'input-type': 'date' | 'datetime-local' | 'month' | 'week';
    /** */
    readonly pattern: string;
    /** */
    readonly 'custom-ui': boolean;
    /** */
    readonly placeholder: string;
    /** ... */
    readonly range: [ZDateInput_Model | null, ZDateInput_Model | null];
    /** */
    readonly min: ZDateInput_Model;
    /** */
    readonly max: ZDateInput_Model;
}>;
export declare const zDateInputSlots: ("label" | "help-text")[];
export type ZDateInput_Slots = (typeof zDateInputSlots)[number];
export type ZDateInput_Events = Partial<{
    /** ... */
    readonly change: string | null;
    /** ... */
    readonly enter: void;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    /** */
    readonly restarted: void;
}>;
