import { CSSStyle, CodeSample } from './_shared';
import { ZLink_Props } from './Link.props';
export * from './Link.props';
export type ZLink_CodeProps = Omit<ZLink_Props, 'content'> & {
    slotted?: {
        content?: boolean;
    };
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZLink_CodeProps): CodeSample;
declare function Web(props: ZLink_CodeProps): CodeSample;
declare function Vue(props: ZLink_CodeProps): CodeSample;
declare function React(props: ZLink_CodeProps): CodeSample;
export declare const Link: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
