import { customPropsToStyle as $, $attr as i, $slot as n, $vueSlot as c, $reactSub as l, $reactChildren as s } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Icon as a } from "./Icon.js";
import { Profile as u } from "./Profile.js";
const g = [
  "content",
  "header",
  "image-src",
  "right-actions",
  "left-actions"
];
function o(t) {
  if (typeof t["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  return e`
    <li 
      z-list-item
      .style=${$(t, "list-item")}
    > 
      ${t["icon-left"] ? a.css({ icon: t["icon-left"] }) : ""}
      ${t.initials || t["image-src"] ? u.css({
    "image-src": t["image-src"],
    "image-alt": t["image-alt"],
    content: t.initials
  }) : ""}
      <main>
        <header>${t.header}</header>
        <p>${t.content}</p>
      </main>
      ${t.timestamp ? e`<aside>${t.timestamp}</aside>` : ""}
      ${t["icon-right"] ? a.css({ icon: t["icon-right"] }) : ""}
    </li>`;
}
function m(t) {
  return e`
    <z-list-item
      .header=${i("header", t)}
      .content=${i("content", t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      
    >
      ${n("content", t)}
      ${n("header", t)}
    </z-list-item>
  `;
}
function r(t) {
  return e`
    <vue-list-item
      .header=${i("header", t)}
      .content=${i("content", t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c("header", t)}
      ${c("content", t)}
    </vue-list-item>
  `;
}
function h(t) {
  return e`
    <react-list-item
      .header=${l("header", t)}
      .content=${i("content", t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${s(t)}
    </react-list-item>
  `;
}
const y = {
  name: "ListItem",
  category: "molecules",
  slots: g,
  css: o,
  vue: r,
  react: h,
  web: m,
  react_native: m
};
export {
  y as ListItem,
  g as zListItemSlots
};
