import { SizelessIconAttr, SocialMediaIconName } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZNavigation_Custom = 'bg';
export type ZNavigation_MenuSubItem = {
    text: string;
    href: string;
} | {
    text: string;
    items: {
        text: string;
        href: string;
    }[];
};
export type ZNavigation_MenuItem = {
    text: string;
    items: ZNavigation_MenuSubItem[];
    icon?: SizelessIconAttr;
};
export type ZNavigation_Props = BaseComponent & Partial<{
    /** */
    readonly social: {
        [K in SocialMediaIconName]?: string;
    };
    /** */
    readonly footer: {
        text: string;
        href: string;
    }[];
    /** */
    readonly config: ToAttrChain<'left', 'rounded'>;
    /** */
    readonly 'with-top': boolean;
    /** */
    readonly isotype: boolean;
    /** */
    readonly menu: ZNavigation_MenuItem[][];
    /** */
    readonly routes: {
        text: string;
        icon?: SizelessIconAttr;
        href?: string;
    }[];
    /** */
    readonly custom: CustomTokens<ZNavigation_Custom>;
}>;
export declare const zNavigationSlots: ("nav" | "logo")[];
export type ZNavigation_Slots = (typeof zNavigationSlots)[number];
export type ZNavigation_Events = {};
