import { Localized } from '../locales/languages.types';
import { ToAttr } from '../typescript';
import { CustomTokens } from './_shared';
export type Unit = 'acre' | 'bit' | 'byte' | 'celsius' | 'day' | 'degree' | 'fahrenheit' | 'foot' | 'gallon' | 'gigabit' | 'gigabyte' | 'gram' | 'hectare' | 'hour' | 'inch' | 'kilobit' | 'kilobyte' | 'kilogram' | 'kilometer' | 'kilometer-per-hour' | 'liter' | 'megabit' | 'megabyte' | 'meter' | `meter-per-${'second' | 'millisecond' | 'hour'}` | 'mile' | 'milliliter' | 'millimeter' | 'millisecond' | 'minute' | 'month' | 'ounce' | 'percent' | 'petabyte' | 'pound' | 'second' | 'stone' | 'terabit' | 'terabyte' | 'week' | 'yard' | 'year';
export type ExtraUnit = Unit | 'square-meter' | 'cubic-meter';
export type ZNumberDisplay = 'long' | 'narrow';
export type ZNumber_Custom = 'color';
export type ZNumber_Props = Localized & Partial<{
    /** ... */
    readonly amount: number;
    /** ... */
    readonly unit: ToAttr<ExtraUnit, ZNumberDisplay>;
    /** ... */
    readonly compact: boolean;
    /** ... */
    readonly truncate: boolean;
    /** ... */
    readonly decimals: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    /** */
    readonly custom: CustomTokens<ZNumber_Custom>;
}>;
export declare const zNumberSlots: never[];
export type ZNumber_Slots = (typeof zNumberSlots)[number];
export type ZNumber_Events = {};
