import { customPropsToStyle as o, $attr as $, $complexAttr as g, $slot as d, $vueSlot as m, $reactSub as c } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
import { zInputSlots as h } from "./_Input.js";
const f = [...h, "data-list"];
function r(e) {
  var l, i;
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  const [t, a] = ((l = e.range) == null ? void 0 : l.map((u) => u === null ? void 0 : u.toString())) || [];
  return n`
    <label 
      .z-number-input=${e.config || ""} 
      .icon=${e.icon}
      .style=${o(e, "number-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? n`<small>${e["help-text"]}</small>` : ""}
      <input
        type="number"
        .placeholder=${e.label}
        .step=${(i = e.step) == null ? void 0 : i.toString()}
        .name=${e.name || "z-number-input"}
        .min=${t}
        .max=${a}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
      />
    </label>
  `;
}
function b(e) {
  var t, a, l;
  return n`
    <z-number-input
      .config=${e.config}
      .model=${(t = e.model) != null ? t : void 0}
      .label=${$("label", e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${g("data-list", e)}
      .help-text=${$("help-text", e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
      ${((a = e.slotted) == null ? void 0 : a["data-list"]) && ((l = e["data-list"]) == null ? void 0 : l.map((i) => n`
        <option .value=${i.toString()}></option>`))}
      ${d("label", e)}
      ${d("help-text", e)}
    </z-number-input>
  `;
}
function v(e) {
  var t;
  return n`
    <vue-number-input
      .config=${e.config}
      .model=${(t = e.model) != null ? t : void 0}
      .label=${$("label", e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${g("data-list", e)}
      .help-text=${$("help-text", e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
      ${m("label", e)}
      ${m("help-text", e)}
    </vue-number-input>
  `;
}
function x(e) {
  var t;
  return n`
    <react-number-input
      .config=${e.config}
      .model=${(t = e.model) != null ? t : void 0}
      .label=${c("label", e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${e["data-list"]}
      .help-text=${c("help-text", e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
    </react-number-input>
  `;
}
const z = {
  name: "NumberInput",
  category: "inputs",
  slots: f,
  css: r,
  vue: v,
  react: x,
  web: b,
  react_native: b
};
export {
  z as NumberInput,
  f as zNumberInputSlots
};
