import { SizelessIconAttr } from '../data';
import { ToAttr } from '../typescript';
import { Unit } from './Number.props';
import { ZInput_Props } from './_Input.props';
export type ZNumberInput_UnitDisplay = 'long' | 'narrow';
export type ZNumberInput_Props<T extends number = number> = ZInput_Props & Partial<{
    /** ... */
    readonly model: T | null;
    /** ... */
    readonly range: [null | number, null | number];
    /** */
    readonly min: number;
    /** */
    readonly max: number;
    /** ... */
    readonly step: number | 'any';
    /** ... */
    readonly 'data-list': readonly T[];
    /** ... */
    readonly 'align-right': boolean;
    /** ... */
    readonly unit: ToAttr<Unit, ZNumberInput_UnitDisplay>;
    /** ... */
    readonly placeholder: string;
    /** */
    readonly icon: SizelessIconAttr;
    /** */
    readonly decimals: 0 | 1 | 2 | 3 | 4 | 5 | 6;
}>;
export declare const zNumberInputSlots: ("label" | "help-text" | "data-list")[];
export type ZNumberInput_Slots = (typeof zNumberInputSlots)[number];
export type ZNumberInput_Events<T extends number = number> = Partial<{
    /** ... */
    readonly change: Required<ZNumberInput_Props<T>['model']>;
    /** ... */
    readonly enter: void;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    /** */
    readonly restarted: void;
}>;
