import { customPropsToStyle as m, $attr as c, $slot as r, $vueSlot as i, $reactSub as $, $reactChildren as u } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { Shape as g } from "./Shape.js";
const h = ["content", "header", "category", "image-src", "actions"];
function s(e) {
  var a;
  if (typeof e["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  const o = (a = e.shape) == null ? void 0 : a.split(":")[0];
  return t`
    <section 
      .z-promo=${e.config || ""}
      .style=${m(e, "promo")}
    >
      <aside>
        <picture z-image>
          <img .src=${e["image-src"]} alt="Promo image" /> 
        </picture>
        ${o ? g.css({ shape: o }) : ""}
      </aside>

      <main>
        ${e.header ? t`<h6>${e.category}</h6>` : ""}
        ${e.header ? t`<h2>${e.header}</h2>` : ""}

        ${e.content}
      </main>
    </section>
  `;
}
function n(e) {
  return t`
    <z-promo
      .header=${c("header", e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${c("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${r("content", e)}
    </z-promo>
  `;
}
function f(e) {
  return t`
    <vue-promo
      .header=${c("header", e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${c("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${i("content", e)}
    </vue-promo>
  `;
}
function d(e) {
  return t`
    <react-promo
      .header=${$("header", e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${c("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${u(e)}
    </react-promo>
  `;
}
const v = {
  name: "Promo",
  category: "molecules",
  slots: h,
  css: s,
  vue: f,
  react: d,
  web: n,
  react_native: n
};
export {
  v as Promo,
  h as zPromoSlots
};
