import { customPropsToStyle as n, $attr as c, $slot as u, $vueSlot as a, $reactChildren as m } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const i = ["content", "description", "author-name", "image-src"];
function r(t) {
  return e`
    <blockquote 
      z-quote 
      .cite=${t["quote-src"] || ""}
      .style=${n(t, "quote")}
    >
      ${t.content ? e`<p>${t.content}</p>` : ""}
      <footer>
        <header>${t["author-name"]}</header>
        ${t.description ? e`<small>${t.description}</small>` : ""}
      </footer>
      ${t["image-src"] ? e`<img .src=${t["image-src"]} alt="Quote image" />` : ""}
    </blockquote>
  `;
}
function o(t) {
  return e`
    <z-quote 
      .content=${c("content", t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${u("content", t)}
    </z-quote>
  `;
}
function $(t) {
  return e`
    <vue-quote
      .content=${c("content", t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${a("content", t)}
    </vue-quote>
  `;
}
function s(t) {
  return e`
    <react-quote
      .content=${c("content", t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${m(t)}
    </react-quote>
  `;
}
const d = {
  name: "Quote",
  category: "molecules",
  slots: i,
  css: r,
  vue: $,
  react: s,
  web: o,
  react_native: o
};
export {
  d as Quote,
  i as zQuoteSlots
};
