export type ZRequestMethod = 'GET' | 'POST' | 'PUT' | 'PATCH' | 'DELETE';
export type ZRequest_Props = Partial<{
    /** url */
    readonly url: string;
    /** method */
    readonly method: ZRequestMethod;
    /** mode */
    readonly mode: RequestMode;
    /** body */
    readonly body: string;
    /** credentials */
    readonly credentials: RequestCredentials;
}>;
export declare const zRequestSlots: never[];
export type ZRequest_Slots = (typeof zRequestSlots)[number];
export type ZRequest_Events<T = Record<string, unknown>> = Partial<{
    /** */
    readonly payload: T;
    /** */
    readonly response: T;
}>;
