import { ToAttr } from '../typescript';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
export type ZSafeSpace_Size = `${20 | 25 | 30 | 35 | 40 | 45 | 50}`;
export type ZSafeSpace_ZSize = `${2 | 3 | 4 | 5}`;
export type ZSafeSpace_Custom = 'bg' | 'size' | `image-${'x' | 'y'}`;
export type ZSafeSpace_Props = BaseComponent & HasImage & Partial<{
    /** ... */
    readonly config: ToAttr<'2', Exclude<ZSafeSpace_Size, `${40 | 45 | 50}`>> | ToAttr<'3', Exclude<ZSafeSpace_Size, `${50}`>> | ToAttr<'4', Exclude<ZSafeSpace_Size, `${20}`>> | ToAttr<'5', Exclude<ZSafeSpace_Size, `${20 | 25 | 30}`>>;
    /** */
    readonly custom: CustomTokens<ZSafeSpace_Custom>;
}>;
export declare const zSafeSpaceSlots: "image-src"[];
export type ZSafeSpace_Slots = (typeof zSafeSpaceSlots)[number];
export type ZSafeSpace_Events = {};
