import { CSSStyle, CodeSample } from './_shared';
import { ZShareBar_Props } from './ShareBar.props';
export * from './ShareBar.helpers';
export * from './ShareBar.props';
export type ZShareBar_CodeProps = Omit<ZShareBar_Props, 'social'> & {
    social?: string | CodeSample;
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZShareBar_CodeProps): CodeSample;
declare function Web(props: ZShareBar_CodeProps): CodeSample;
declare function Vue(props: ZShareBar_CodeProps): CodeSample;
declare function React(props: ZShareBar_CodeProps): CodeSample;
export declare const ShareBar: {
    name: string;
    category: "molecules";
    slots: ["content", "social"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
