import { CSSStyle, CodeSample } from './_shared';
import { ZStage_Props } from './Stage.props';
export * from './Stage.props';
export type ZStage_CodeProps = ZStage_Props & {
    style?: CSSStyle;
    slotted?: {
        content?: boolean;
        header?: boolean;
    };
    content?: string | CodeSample;
    header?: string | CodeSample;
};
declare function CSS(props: ZStage_CodeProps): CodeSample;
declare function Web(props: ZStage_CodeProps): CodeSample;
declare function Vue(props: ZStage_CodeProps): CodeSample;
declare function React(props: ZStage_CodeProps): CodeSample;
export declare const Stage: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
