import { customPropsToStyle as i, $attr as t, $slot as s, $vueSlot as $, $reactSub as o, $reactChildren as g } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
import { SafeSpace as u } from "./SafeSpace.js";
import { Shape as h } from "./Shape.js";
const r = ["content", "header", "image-src"];
function f(e) {
  var n;
  const a = (n = e.shape) == null ? void 0 : n.split(":")[0];
  return c` 
    <section 
      .z-stage=${e.config || ""}
      .style=${i(e, "stage")}
    >
      <main>
        <h1>${e.header}</slot></h1>
        ${e.content}
      </main>

      <aside>
        ${u.css({ config: "4", "image-src": e["image-src"] })}
        ${a && h.css({ shape: a })}
      </aside>
    </section>
  `;
}
function m(e) {
  return c`
    <z-stage
      .config=${e.config}
      .header=${t("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      ?no-safe-space=${e["no-safe-space"]}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}  
    >
      ${s("content", e)}
      ${s("header", e)}
    </z-stage>
  `;
}
function d(e) {
  return c`
    <vue-stage
      .config=${e.config}
      .header=${t("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${$("content", e)}
      ${$("header", e)}
    </vue-stage>
  `;
}
function l(e) {
  return c`
    <react-stage
      .config=${e.config}
      .header=${o("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${g(e)}
    </react-stage>
  `;
}
const y = {
  name: "Stage",
  category: "molecules",
  slots: r,
  css: f,
  vue: d,
  react: l,
  web: m,
  react_native: m
};
export {
  y as Stage,
  r as zStageSlots
};
