import { BaseComponent, CustomTokens } from './_shared';
export type ZTable_Custom = 'cell-padding';
export type ZTable_Cell = string | number | {
    content: string | number;
    span?: number | [null | number, null | number];
};
export type ZTable_Header = {
    text: string;
    prop: string;
    th?: boolean;
    bg?: boolean | string;
};
export type ZTable_Props = BaseComponent & Partial<{
    readonly config: 'zebra-rows' | 'zebra-columns';
    /** */
    readonly headers: ((string | number) | ZTable_Header)[];
    /** */
    readonly rows: ((string | number)[] | Record<string, string | number>)[];
    /** */
    readonly caption: string;
    /** */
    readonly zebra: 'odd' | true;
    /** */
    readonly custom: CustomTokens<ZTable_Custom>;
}>;
export declare const zTableSlots: never[];
export type ZTable_Slots = (typeof zTableSlots)[number];
export type ZTable_Events = {};
