import { SizelessIconAttr } from '../data';
import { ZInput_Props } from './_Input.props';
export type ZTextInput_Props<T extends string = string> = ZInput_Props & Partial<{
    /** ... */
    readonly model: T | null;
    /** ... */
    readonly pattern: string;
    /** */
    readonly 'input-type': 'text' | 'tel' | 'email' | 'url';
    /** ... */
    readonly 'max-length': number;
    /** ... */
    readonly 'no-counter': boolean;
    /** ... */
    readonly 'min-length': number;
    /** ... */
    readonly 'align-right': boolean;
    /** ... */
    readonly 'data-list': readonly T[];
    /** ... */
    readonly placeholder: string;
    /** */
    readonly icon: SizelessIconAttr;
}>;
export declare const zTextInputSlots: ("label" | "help-text" | "data-list")[];
export type ZTextInput_Slots = (typeof zTextInputSlots)[number];
export type ZTextInput_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZTextInput_Props<T>['model']>;
    /** ... */
    readonly enter: void;
    /** ... */
    readonly select: ZTextInput_Props<T>['model'];
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    /** */
    readonly restarted: void;
}>;
