import { customPropsToStyle as d, $attr as a, $slot as n, $vueSlot as $, $reactSub as i } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { zInputSlots as u } from "./_Input.js";
const m = u;
function x(e) {
  var l;
  if (typeof e.label == "function")
    throw new Error("Cannot render a function as a label");
  return t`
    <label 
      .z-textarea=${e.config || ""}
      .style=${d(e, "textarea")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? t`<small>${e["help-text"]}</small>` : ""}
      <textarea
        .placeholder=${e.placeholder || e.label}
        .name=${e.name || "z-textarea"}
        .pattern=${e.pattern}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
        ?elastic=${e.elastic}
      >${e.model || ""}</textarea>
      ${e["max-length"] ? t`<output>${((l = e.model) == null ? void 0 : l.length) || 0} / ${e["max-length"]}</output>` : ""}
    </label>
  `;
}
function c(e) {
  return t`
    <z-textarea
      .config=${e.config}
      .label=${a("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${a("help-text", e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
      ${n("label", e)}
      ${n("help-text", e)}
    </z-textarea>
  `;
}
function h(e) {
  return t`
    <vue-textarea
      .config=${e.config}
      .label=${a("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${a("help-text", e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
      ${$("label", e)}
      ${$("help-text", e)}
    </vue-textarea>
  `;
}
function b(e) {
  return t`
    <react-textarea
      .config=${e.config}
      .label=${i("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${i("help-text", e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
    </react-textarea>
  `;
}
const g = {
  name: "Textarea",
  category: "inputs",
  slots: m,
  css: x,
  vue: h,
  react: b,
  web: c,
  react_native: c
};
export {
  g as Textarea,
  m as zTextareaSlots
};
