import { ToAttrChain, ToColonSingle } from '../../typescript';
export declare function fromLabeledSelect<T extends string, U extends T>(prop: `${T} - ${string}`, defaultValue: U): Exclude<T, U> | '';
/** Returns the value before the ` - ` separator */
export declare function hyphenizedControlParser<T extends string>(value: `${T} - ${string}`): T;
/** In case the value equals the default, returns an empty string.
 * Otherwise, prefixes the value with a colon `:`.
 */
export declare function toColon<T extends string, U extends T>(value: T, defaultValue?: U): U extends T ? (`:${Exclude<T, U>}` | '') : `:${T}`;
/** In case the value equals the default, returns an empty string */
export declare function removeDefault<T extends string, U extends T>(value: T, defaultValue?: U): Exclude<T, U> | '';
/** Prefixes the value if it's not an empty string */
export declare function toColonIfNotEmpty<T extends string>(value: T | ''): ToColonSingle<T>;
/** Return the value if it's not `'none'` or `'default'`. Otherwise returns `undefined` */
export declare function toNonDefaultValue<T extends string>(value?: T): Exclude<T, 'none' | 'default'> | undefined;
/** Parses the values into a color `:` separated string where empty strings are ignored */
export declare function toAttr<T extends string | number, U extends string | number, V extends string | number>(first: T, second: U, third: V): ToAttrChain<T, U, V> | undefined;
/** Returns a string with the given amount of spaces */
export declare function spaces(indent: number): string;
