import { ArgType } from './Code.helpers.types';
import { CodeSample, RenderLanguage } from './Code.types';
/** Function that imitates [Lit's]() `html()` function, but parses the given template into an HTML
 * string based on the provided target language (framework) and initial indentation */
export declare function html(str: TemplateStringsArray, ...args: ArgType[]): CodeSample;
export declare function cleanCode(str: string[], indent?: number): string;
export declare function toFramework(str: string, framework: RenderLanguage): string;
export declare function formatReactComponentTags(str: string): string;
export declare function categorizeAttributes(str: string): {
    attrs: string[];
    angularAttr: string[];
    reactAttrs: string[];
    flags: string[];
    events: string[];
    reactEvents: string[];
};
export declare function sortAttributes(attributes: string[]): string[];
