import { PictogramName, ZurichImageName } from '../../data';
import { OrElse, ToAttr } from '../../typescript';
import type * as CSS from "csstype";
export type CSSProperties = CSS.Properties<string | number>;
export type CSSStyle = string | Record<string, string>;
export type CustomTokens<T extends string> = {
    [K in T]?: string;
};
export type SlotsOf<T extends Record<string, any>> = 'content' extends keyof T ? ['content', ...((keyof T) | OrElse)[]] : ((keyof T) | OrElse)[];
export type BaseComponent = Partial<{
    /** */
    readonly 'element-id': string;
    /** */
    readonly 'custom-str': string;
    /** */
    readonly 'z-theme': 'light' | 'dark';
    /** */
    readonly slot: string;
}>;
export type HasImage = Partial<{
    /** */
    readonly 'image-src': ZurichImageName | OrElse;
    /** ... */
    readonly 'image-alt': string;
    /** */
    readonly 'cross-origin': 'anonymous' | 'use-credentials';
}>;
export type HasPictogram = Partial<{
    /** ... */
    readonly pictogram: ToAttr<PictogramName, 'dark'>;
}>;
export type Customization<T extends string> = Partial<{
    readonly custom: Partial<Record<T, string>>;
}>;
