import { CodeSample } from './Code.types';
type SlottedOProps = Record<string, any> & {
    slotted?: {
        content?: boolean;
    };
};
type SlottedCodeProp<T extends string, P = string | CodeSample> = {
    [K in T]?: P;
} & {
    slotted?: {
        [K in T]?: boolean;
    };
};
/** If the condition is not met, return undefined */
export declare function $if<T>(condition: boolean | undefined | null, attr: T): T | undefined;
export declare function $attr<T extends string>(attr: T, props: SlottedCodeProp<T>): string | undefined;
export declare function $complexAttr<T extends string>(attr: T, props: SlottedCodeProp<T, readonly any[]>): readonly any[] | undefined;
export declare function $slot<T extends string>(attr: T, props: SlottedCodeProp<T>): string | undefined;
export declare function $bool<T>(attr: T): T | undefined;
export declare function $vueSlot<T extends string>(slot: T, props: SlottedCodeProp<T>): CodeSample | string | undefined;
export declare function $reactSub<T extends string>(slot: T, props: SlottedCodeProp<T>): string | undefined;
export declare function $reactChildren<T extends SlottedOProps>(props: T): string | undefined;
/** */
export declare function $forArray<T, R>(iterable: T[], map: (item: T, index: number, self: T[]) => R): R[];
/** */
export declare function $forObject<K extends string | number, T, R>(iterable: Record<K, T>, map: (item: [K, T], index: number, self: [K, T][]) => R): R[];
/** */
export declare function $var<T extends string>(str: `--${T}`): `var(--${T})`;
export declare function customPropsToStyle(props: {
    'custom-str'?: string;
}, name: string): string | undefined;
export {};
