import type * as Type from './index.auto';
type Atoms = {
    Badge: Type.ZBadge_Events;
    Button: Type.ZButton_Events;
    Chip: Type.ZChip_Events;
    Currency: Type.ZCurrency_Events;
    Date: Type.ZDate_Events;
    Flag: Type.ZFlag_Events;
    Icon: Type.ZIcon_Events;
    Image: Type.ZImage_Events;
    Link: Type.ZLink_Events;
    Loader: Type.ZLoader_Events;
    Locale: Type.ZLocale_Events;
    Logo: Type.ZLogo_Events;
    Number: Type.ZNumber_Events;
    Pictogram: Type.ZPictogram_Events;
    Profile: Type.ZProfile_Events;
    ProgressBar: Type.ZProgressBar_Events;
    SafeSpace: Type.ZSafeSpace_Events;
    ScrollIndicator: Type.ZScrollIndicator_Events;
    Shape: Type.ZShape_Events;
    Skeleton: Type.ZSkeleton_Events;
    SmilingZ: Type.ZSmilingZ_Events;
    SocialMediaIcon: Type.ZSocialMediaIcon_Events;
    Tag: Type.ZTag_Events;
    Time: Type.ZTime_Events;
    Toast: Type.ZToast_Events;
    Tooltip: Type.ZTooltip_Events;
    ZurichAudio: Type.ZZurichAudio_Events;
    ZurichImage: Type.ZZurichImage_Events;
    ZurichVideo: Type.ZZurichVideo_Events;
};
type Data = {
    BarChart: Type.ZBarChart_Events;
    BoxPlotChart: Type.ZBoxPlotChart_Events;
    DonutChart: Type.ZDonutChart_Events;
    GanntChart: Type.ZGanntChart_Events;
    GroupBarChart: Type.ZGroupBarChart_Events;
    Heatmap: Type.ZHeatmap_Events;
    Histogram: Type.ZHistogram_Events;
    KpiValue: Type.ZKpiValue_Events;
    LineChart: Type.ZLineChart_Events;
    MetricProgress: Type.ZMetricProgress_Events;
    PieChart: Type.ZPieChart_Events;
    ScatterPlotChart: Type.ZScatterPlotChart_Events;
    StackedBarChart: Type.ZStackedBarChart_Events;
    WaterfallChart: Type.ZWaterfallChart_Events;
};
type Functionalities = {
    Request: Type.ZRequest_Events;
    Resizer: Type.ZResizer_Events;
};
type Inputs = {
    BooleanIcon: Type.ZBooleanIcon_Events;
    Calendar: Type.ZCalendar_Events;
    Checkbox: Type.ZCheckbox_Events;
    CheckboxGroup: Type.ZCheckboxGroup_Events;
    CheckboxSelect: Type.ZCheckboxSelect_Events;
    ChipsSet: Type.ZChipsSet_Events;
    ColorInput: Type.ZColorInput_Events;
    DateInput: Type.ZDateInput_Events;
    FileInput: Type.ZFileInput_Events;
    MultiFileInput: Type.ZMultiFileInput_Events;
    MultiInput: Type.ZMultiInput_Events;
    MultiSelectableCards: Type.ZMultiSelectableCards_Events;
    Multiselect: Type.ZMultiselect_Events;
    NumberInput: Type.ZNumberInput_Events;
    Pagination: Type.ZPagination_Events;
    PasswordInput: Type.ZPasswordInput_Events;
    ProgressTracker: Type.ZProgressTracker_Events;
    RadioSelect: Type.ZRadioSelect_Events;
    RangeCalendar: Type.ZRangeCalendar_Events;
    RangeDateInput: Type.ZRangeDateInput_Events;
    RangeInput: Type.ZRangeInput_Events;
    RangeSlider: Type.ZRangeSlider_Events;
    Rating: Type.ZRating_Events;
    Search: Type.ZSearch_Events;
    SegmentedControl: Type.ZSegmentedControl_Events;
    Select: Type.ZSelect_Events;
    SelectableCards: Type.ZSelectableCards_Events;
    SelectionTag: Type.ZSelectionTag_Events;
    Slider: Type.ZSlider_Events;
    Stepper: Type.ZStepper_Events;
    Switch: Type.ZSwitch_Events;
    TagsSelect: Type.ZTagsSelect_Events;
    TextInput: Type.ZTextInput_Events;
    Textarea: Type.ZTextarea_Events;
    TimeInput: Type.ZTimeInput_Events;
    VerticalStepper: Type.ZVerticalStepper_Events;
};
type Layouts = {
    Accordion: Type.ZAccordion_Events;
    AccordionGroup: Type.ZAccordionGroup_Events;
    ActionMenu: Type.ZActionMenu_Events;
    ButtonGroup: Type.ZButtonGroup_Events;
    Card: Type.ZCard_Events;
    CardCarousel: Type.ZCardCarousel_Events;
    Carousel: Type.ZCarousel_Events;
    Fieldset: Type.ZFieldset_Events;
    Figure: Type.ZFigure_Events;
    FloatingBanner: Type.ZFloatingBanner_Events;
    Form: Type.ZForm_Events;
    InputGroup: Type.ZInputGroup_Events;
    Modal: Type.ZModal_Events;
    SideMenu: Type.ZSideMenu_Events;
    Sidebar: Type.ZSidebar_Events;
    SnapScroll: Type.ZSnapScroll_Events;
    Table: Type.ZTable_Events;
    Tabs: Type.ZTabs_Events;
};
type Molecules = {
    ActionCard: Type.ZActionCard_Events;
    Alert: Type.ZAlert_Events;
    ArticleCard: Type.ZArticleCard_Events;
    Avatar: Type.ZAvatar_Events;
    AvatarList: Type.ZAvatarList_Events;
    Breadcrumbs: Type.ZBreadcrumbs_Events;
    EmptyState: Type.ZEmptyState_Events;
    EventListItem: Type.ZEventListItem_Events;
    ImageStage: Type.ZImageStage_Events;
    ListItem: Type.ZListItem_Events;
    Promo: Type.ZPromo_Events;
    Quote: Type.ZQuote_Events;
    ShareBar: Type.ZShareBar_Events;
    ShareButton: Type.ZShareButton_Events;
    Stage: Type.ZStage_Events;
    StageBanner: Type.ZStageBanner_Events;
    Tile: Type.ZTile_Events;
};
type Organisms = {
    AsyncContent: Type.ZAsyncContent_Events;
    CookiesConsent: Type.ZCookiesConsent_Events;
    Footer: Type.ZFooter_Events;
    LanguageSelector: Type.ZLanguageSelector_Events;
    MobileNavBar: Type.ZMobileNavBar_Events;
    Navigation: Type.ZNavigation_Events;
};
export type Events = {
    atoms: Atoms;
    data: Data;
    functionalities: Functionalities;
    inputs: Inputs;
    layouts: Layouts;
    molecules: Molecules;
    organisms: Organisms;
};
export type ZAll_Events = Atoms & Data & Functionalities & Inputs & Layouts & Molecules & Organisms;
export {};
