import type * as Type from './index.auto';
type Atoms = {
    Badge: Type.ZBadge_Props;
    Button: Type.ZButton_Props;
    Chip: Type.ZChip_Props;
    Currency: Type.ZCurrency_Props;
    Date: Type.ZDate_Props;
    Flag: Type.ZFlag_Props;
    Icon: Type.ZIcon_Props;
    Image: Type.ZImage_Props;
    Link: Type.ZLink_Props;
    Loader: Type.ZLoader_Props;
    Locale: Type.ZLocale_Props;
    Logo: Type.ZLogo_Props;
    Number: Type.ZNumber_Props;
    Pictogram: Type.ZPictogram_Props;
    Profile: Type.ZProfile_Props;
    ProgressBar: Type.ZProgressBar_Props;
    SafeSpace: Type.ZSafeSpace_Props;
    ScrollIndicator: Type.ZScrollIndicator_Props;
    Shape: Type.ZShape_Props;
    Skeleton: Type.ZSkeleton_Props;
    SmilingZ: Type.ZSmilingZ_Props;
    SocialMediaIcon: Type.ZSocialMediaIcon_Props;
    Tag: Type.ZTag_Props;
    Time: Type.ZTime_Props;
    Toast: Type.ZToast_Props;
    Tooltip: Type.ZTooltip_Props;
    ZurichAudio: Type.ZZurichAudio_Props;
    ZurichImage: Type.ZZurichImage_Props;
    ZurichVideo: Type.ZZurichVideo_Props;
};
type Data = {
    BarChart: Type.ZBarChart_Props;
    BoxPlotChart: Type.ZBoxPlotChart_Props;
    DonutChart: Type.ZDonutChart_Props;
    GanntChart: Type.ZGanntChart_Props;
    GroupBarChart: Type.ZGroupBarChart_Props;
    Heatmap: Type.ZHeatmap_Props;
    Histogram: Type.ZHistogram_Props;
    KpiValue: Type.ZKpiValue_Props;
    LineChart: Type.ZLineChart_Props;
    MetricProgress: Type.ZMetricProgress_Props;
    PieChart: Type.ZPieChart_Props;
    ScatterPlotChart: Type.ZScatterPlotChart_Props;
    StackedBarChart: Type.ZStackedBarChart_Props;
    WaterfallChart: Type.ZWaterfallChart_Props;
};
type Functionalities = {
    Request: Type.ZRequest_Props;
    Resizer: Type.ZResizer_Props;
};
type Inputs = {
    BooleanIcon: Type.ZBooleanIcon_Props;
    Calendar: Type.ZCalendar_Props;
    Checkbox: Type.ZCheckbox_Props;
    CheckboxGroup: Type.ZCheckboxGroup_Props;
    CheckboxSelect: Type.ZCheckboxSelect_Props;
    ChipsSet: Type.ZChipsSet_Props;
    ColorInput: Type.ZColorInput_Props;
    DateInput: Type.ZDateInput_Props;
    FileInput: Type.ZFileInput_Props;
    MultiFileInput: Type.ZMultiFileInput_Props;
    MultiInput: Type.ZMultiInput_Props;
    MultiSelectableCards: Type.ZMultiSelectableCards_Props;
    Multiselect: Type.ZMultiselect_Props;
    NumberInput: Type.ZNumberInput_Props;
    Pagination: Type.ZPagination_Props;
    PasswordInput: Type.ZPasswordInput_Props;
    ProgressTracker: Type.ZProgressTracker_Props;
    RadioSelect: Type.ZRadioSelect_Props;
    RangeCalendar: Type.ZRangeCalendar_Props;
    RangeDateInput: Type.ZRangeDateInput_Props;
    RangeInput: Type.ZRangeInput_Props;
    RangeSlider: Type.ZRangeSlider_Props;
    Rating: Type.ZRating_Props;
    Search: Type.ZSearch_Props;
    SegmentedControl: Type.ZSegmentedControl_Props;
    Select: Type.ZSelect_Props;
    SelectableCards: Type.ZSelectableCards_Props;
    SelectionTag: Type.ZSelectionTag_Props;
    Slider: Type.ZSlider_Props;
    Stepper: Type.ZStepper_Props;
    Switch: Type.ZSwitch_Props;
    TagsSelect: Type.ZTagsSelect_Props;
    TextInput: Type.ZTextInput_Props;
    Textarea: Type.ZTextarea_Props;
    TimeInput: Type.ZTimeInput_Props;
    VerticalStepper: Type.ZVerticalStepper_Props;
};
type Layouts = {
    Accordion: Type.ZAccordion_Props;
    AccordionGroup: Type.ZAccordionGroup_Props;
    ActionMenu: Type.ZActionMenu_Props;
    ButtonGroup: Type.ZButtonGroup_Props;
    Card: Type.ZCard_Props;
    CardCarousel: Type.ZCardCarousel_Props;
    Carousel: Type.ZCarousel_Props;
    Fieldset: Type.ZFieldset_Props;
    Figure: Type.ZFigure_Props;
    FloatingBanner: Type.ZFloatingBanner_Props;
    Form: Type.ZForm_Props;
    InputGroup: Type.ZInputGroup_Props;
    Modal: Type.ZModal_Props;
    SideMenu: Type.ZSideMenu_Props;
    Sidebar: Type.ZSidebar_Props;
    SnapScroll: Type.ZSnapScroll_Props;
    Table: Type.ZTable_Props;
    Tabs: Type.ZTabs_Props;
};
type Molecules = {
    ActionCard: Type.ZActionCard_Props;
    Alert: Type.ZAlert_Props;
    ArticleCard: Type.ZArticleCard_Props;
    Avatar: Type.ZAvatar_Props;
    AvatarList: Type.ZAvatarList_Props;
    Breadcrumbs: Type.ZBreadcrumbs_Props;
    EmptyState: Type.ZEmptyState_Props;
    EventListItem: Type.ZEventListItem_Props;
    ImageStage: Type.ZImageStage_Props;
    ListItem: Type.ZListItem_Props;
    Promo: Type.ZPromo_Props;
    Quote: Type.ZQuote_Props;
    ShareBar: Type.ZShareBar_Props;
    ShareButton: Type.ZShareButton_Props;
    Stage: Type.ZStage_Props;
    StageBanner: Type.ZStageBanner_Props;
    Tile: Type.ZTile_Props;
};
type Organisms = {
    AsyncContent: Type.ZAsyncContent_Props;
    CookiesConsent: Type.ZCookiesConsent_Props;
    Footer: Type.ZFooter_Props;
    LanguageSelector: Type.ZLanguageSelector_Props;
    MobileNavBar: Type.ZMobileNavBar_Props;
    Navigation: Type.ZNavigation_Props;
};
export type Props = {
    atoms: Atoms;
    data: Data;
    functionalities: Functionalities;
    inputs: Inputs;
    layouts: Layouts;
    molecules: Molecules;
    organisms: Organisms;
};
export type ZAll_Props = Atoms & Data & Functionalities & Inputs & Layouts & Molecules & Organisms;
export {};
