import type * as Type from './index.auto';
type Atoms = {
    Badge: Type.ZBadge_Slots;
    Button: Type.ZButton_Slots;
    Chip: Type.ZChip_Slots;
    Currency: Type.ZCurrency_Slots;
    Date: Type.ZDate_Slots;
    Flag: Type.ZFlag_Slots;
    Icon: Type.ZIcon_Slots;
    Image: Type.ZImage_Slots;
    Link: Type.ZLink_Slots;
    Loader: Type.ZLoader_Slots;
    Locale: Type.ZLocale_Slots;
    Logo: Type.ZLogo_Slots;
    Number: Type.ZNumber_Slots;
    Pictogram: Type.ZPictogram_Slots;
    Profile: Type.ZProfile_Slots;
    ProgressBar: Type.ZProgressBar_Slots;
    SafeSpace: Type.ZSafeSpace_Slots;
    ScrollIndicator: Type.ZScrollIndicator_Slots;
    Shape: Type.ZShape_Slots;
    Skeleton: Type.ZSkeleton_Slots;
    SmilingZ: Type.ZSmilingZ_Slots;
    SocialMediaIcon: Type.ZSocialMediaIcon_Slots;
    Tag: Type.ZTag_Slots;
    Time: Type.ZTime_Slots;
    Toast: Type.ZToast_Slots;
    Tooltip: Type.ZTooltip_Slots;
    ZurichAudio: Type.ZZurichAudio_Slots;
    ZurichImage: Type.ZZurichImage_Slots;
    ZurichVideo: Type.ZZurichVideo_Slots;
};
type Data = {
    BarChart: Type.ZBarChart_Slots;
    BoxPlotChart: Type.ZBoxPlotChart_Slots;
    DonutChart: Type.ZDonutChart_Slots;
    GanntChart: Type.ZGanntChart_Slots;
    GroupBarChart: Type.ZGroupBarChart_Slots;
    Heatmap: Type.ZHeatmap_Slots;
    Histogram: Type.ZHistogram_Slots;
    KpiValue: Type.ZKpiValue_Slots;
    LineChart: Type.ZLineChart_Slots;
    MetricProgress: Type.ZMetricProgress_Slots;
    PieChart: Type.ZPieChart_Slots;
    ScatterPlotChart: Type.ZScatterPlotChart_Slots;
    StackedBarChart: Type.ZStackedBarChart_Slots;
    WaterfallChart: Type.ZWaterfallChart_Slots;
};
type Functionalities = {
    Request: Type.ZRequest_Slots;
    Resizer: Type.ZResizer_Slots;
};
type Inputs = {
    BooleanIcon: Type.ZBooleanIcon_Slots;
    Calendar: Type.ZCalendar_Slots;
    Checkbox: Type.ZCheckbox_Slots;
    CheckboxGroup: Type.ZCheckboxGroup_Slots;
    CheckboxSelect: Type.ZCheckboxSelect_Slots;
    ChipsSet: Type.ZChipsSet_Slots;
    ColorInput: Type.ZColorInput_Slots;
    DateInput: Type.ZDateInput_Slots;
    FileInput: Type.ZFileInput_Slots;
    MultiFileInput: Type.ZMultiFileInput_Slots;
    MultiInput: Type.ZMultiInput_Slots;
    MultiSelectableCards: Type.ZMultiSelectableCards_Slots;
    Multiselect: Type.ZMultiselect_Slots;
    NumberInput: Type.ZNumberInput_Slots;
    Pagination: Type.ZPagination_Slots;
    PasswordInput: Type.ZPasswordInput_Slots;
    ProgressTracker: Type.ZProgressTracker_Slots;
    RadioSelect: Type.ZRadioSelect_Slots;
    RangeCalendar: Type.ZRangeCalendar_Slots;
    RangeDateInput: Type.ZRangeDateInput_Slots;
    RangeInput: Type.ZRangeInput_Slots;
    RangeSlider: Type.ZRangeSlider_Slots;
    Rating: Type.ZRating_Slots;
    Search: Type.ZSearch_Slots;
    SegmentedControl: Type.ZSegmentedControl_Slots;
    Select: Type.ZSelect_Slots;
    SelectableCards: Type.ZSelectableCards_Slots;
    SelectionTag: Type.ZSelectionTag_Slots;
    Slider: Type.ZSlider_Slots;
    Stepper: Type.ZStepper_Slots;
    Switch: Type.ZSwitch_Slots;
    TagsSelect: Type.ZTagsSelect_Slots;
    TextInput: Type.ZTextInput_Slots;
    Textarea: Type.ZTextarea_Slots;
    TimeInput: Type.ZTimeInput_Slots;
    VerticalStepper: Type.ZVerticalStepper_Slots;
};
type Layouts = {
    Accordion: Type.ZAccordion_Slots;
    AccordionGroup: Type.ZAccordionGroup_Slots;
    ActionMenu: Type.ZActionMenu_Slots;
    ButtonGroup: Type.ZButtonGroup_Slots;
    Card: Type.ZCard_Slots;
    CardCarousel: Type.ZCardCarousel_Slots;
    Carousel: Type.ZCarousel_Slots;
    Fieldset: Type.ZFieldset_Slots;
    Figure: Type.ZFigure_Slots;
    FloatingBanner: Type.ZFloatingBanner_Slots;
    Form: Type.ZForm_Slots;
    InputGroup: Type.ZInputGroup_Slots;
    Modal: Type.ZModal_Slots;
    SideMenu: Type.ZSideMenu_Slots;
    Sidebar: Type.ZSidebar_Slots;
    SnapScroll: Type.ZSnapScroll_Slots;
    Table: Type.ZTable_Slots;
    Tabs: Type.ZTabs_Slots;
};
type Molecules = {
    ActionCard: Type.ZActionCard_Slots;
    Alert: Type.ZAlert_Slots;
    ArticleCard: Type.ZArticleCard_Slots;
    Avatar: Type.ZAvatar_Slots;
    AvatarList: Type.ZAvatarList_Slots;
    Breadcrumbs: Type.ZBreadcrumbs_Slots;
    EmptyState: Type.ZEmptyState_Slots;
    EventListItem: Type.ZEventListItem_Slots;
    ImageStage: Type.ZImageStage_Slots;
    ListItem: Type.ZListItem_Slots;
    Promo: Type.ZPromo_Slots;
    Quote: Type.ZQuote_Slots;
    ShareBar: Type.ZShareBar_Slots;
    ShareButton: Type.ZShareButton_Slots;
    Stage: Type.ZStage_Slots;
    StageBanner: Type.ZStageBanner_Slots;
    Tile: Type.ZTile_Slots;
};
type Organisms = {
    AsyncContent: Type.ZAsyncContent_Slots;
    CookiesConsent: Type.ZCookiesConsent_Slots;
    Footer: Type.ZFooter_Slots;
    LanguageSelector: Type.ZLanguageSelector_Slots;
    MobileNavBar: Type.ZMobileNavBar_Slots;
    Navigation: Type.ZNavigation_Slots;
};
export type Slots = {
    atoms: Atoms;
    data: Data;
    functionalities: Functionalities;
    inputs: Inputs;
    layouts: Layouts;
    molecules: Molecules;
    organisms: Organisms;
};
export type ZAll_Slots = Atoms & Data & Functionalities & Inputs & Layouts & Molecules & Organisms;
export {};
