import type * as Type from './index.auto';
type Atoms = {
    Badge: Type.ZBadge_CodeProps;
    Button: Type.ZButton_CodeProps;
    Chip: Type.ZChip_CodeProps;
    Currency: Type.ZCurrency_CodeProps;
    Date: Type.ZDate_CodeProps;
    Flag: Type.ZFlag_CodeProps;
    Icon: Type.ZIcon_CodeProps;
    Image: Type.ZImage_CodeProps;
    Link: Type.ZLink_CodeProps;
    Loader: Type.ZLoader_CodeProps;
    Locale: Type.ZLocale_CodeProps;
    Logo: Type.ZLogo_CodeProps;
    Number: Type.ZNumber_CodeProps;
    Pictogram: Type.ZPictogram_CodeProps;
    Profile: Type.ZProfile_CodeProps;
    ProgressBar: Type.ZProgressBar_CodeProps;
    SafeSpace: Type.ZSafeSpace_CodeProps;
    ScrollIndicator: Type.ZScrollIndicator_CodeProps;
    Shape: Type.ZShape_CodeProps;
    Skeleton: Type.ZSkeleton_CodeProps;
    SmilingZ: Type.ZSmilingZ_CodeProps;
    SocialMediaIcon: Type.ZSocialMediaIcon_CodeProps;
    Tag: Type.ZTag_CodeProps;
    Time: Type.ZTime_CodeProps;
    Toast: Type.ZToast_CodeProps;
    Tooltip: Type.ZTooltip_CodeProps;
    ZurichAudio: Type.ZZurichAudio_CodeProps;
    ZurichImage: Type.ZZurichImage_CodeProps;
    ZurichVideo: Type.ZZurichVideo_CodeProps;
};
type Data = {
    BarChart: Type.ZBarChart_CodeProps;
    BoxPlotChart: Type.ZBoxPlotChart_CodeProps;
    DonutChart: Type.ZDonutChart_CodeProps;
    GanntChart: Type.ZGanntChart_CodeProps;
    GroupBarChart: Type.ZGroupBarChart_CodeProps;
    Heatmap: Type.ZHeatmap_CodeProps;
    Histogram: Type.ZHistogram_CodeProps;
    KpiValue: Type.ZKpiValue_CodeProps;
    LineChart: Type.ZLineChart_CodeProps;
    MetricProgress: Type.ZMetricProgress_CodeProps;
    PieChart: Type.ZPieChart_CodeProps;
    ScatterPlotChart: Type.ZScatterPlotChart_CodeProps;
    StackedBarChart: Type.ZStackedBarChart_CodeProps;
    WaterfallChart: Type.ZWaterfallChart_CodeProps;
};
type Functionalities = {
    Request: Type.ZRequest_CodeProps;
    Resizer: Type.ZResizer_CodeProps;
};
type Inputs = {
    BooleanIcon: Type.ZBooleanIcon_CodeProps;
    Calendar: Type.ZCalendar_CodeProps;
    Checkbox: Type.ZCheckbox_CodeProps;
    CheckboxGroup: Type.ZCheckboxGroup_CodeProps;
    CheckboxSelect: Type.ZCheckboxSelect_CodeProps;
    ChipsSet: Type.ZChipsSet_CodeProps;
    ColorInput: Type.ZColorInput_CodeProps;
    DateInput: Type.ZDateInput_CodeProps;
    FileInput: Type.ZFileInput_CodeProps;
    MultiFileInput: Type.ZMultiFileInput_CodeProps;
    MultiInput: Type.ZMultiInput_CodeProps;
    MultiSelectableCards: Type.ZMultiSelectableCards_CodeProps;
    Multiselect: Type.ZMultiselect_CodeProps;
    NumberInput: Type.ZNumberInput_CodeProps;
    Pagination: Type.ZPagination_CodeProps;
    PasswordInput: Type.ZPasswordInput_CodeProps;
    ProgressTracker: Type.ZProgressTracker_CodeProps;
    RadioSelect: Type.ZRadioSelect_CodeProps;
    RangeCalendar: Type.ZRangeCalendar_CodeProps;
    RangeDateInput: Type.ZRangeDateInput_CodeProps;
    RangeInput: Type.ZRangeInput_CodeProps;
    RangeSlider: Type.ZRangeSlider_CodeProps;
    Rating: Type.ZRating_CodeProps;
    Search: Type.ZSearch_CodeProps;
    SegmentedControl: Type.ZSegmentedControl_CodeProps;
    Select: Type.ZSelect_CodeProps;
    SelectableCards: Type.ZSelectableCards_CodeProps;
    SelectionTag: Type.ZSelectionTag_CodeProps;
    Slider: Type.ZSlider_CodeProps;
    Stepper: Type.ZStepper_CodeProps;
    Switch: Type.ZSwitch_CodeProps;
    TagsSelect: Type.ZTagsSelect_CodeProps;
    TextInput: Type.ZTextInput_CodeProps;
    Textarea: Type.ZTextarea_CodeProps;
    TimeInput: Type.ZTimeInput_CodeProps;
    VerticalStepper: Type.ZVerticalStepper_CodeProps;
};
type Layouts = {
    Accordion: Type.ZAccordion_CodeProps;
    AccordionGroup: Type.ZAccordionGroup_CodeProps;
    ActionMenu: Type.ZActionMenu_CodeProps;
    ButtonGroup: Type.ZButtonGroup_CodeProps;
    Card: Type.ZCard_CodeProps;
    CardCarousel: Type.ZCardCarousel_CodeProps;
    Carousel: Type.ZCarousel_CodeProps;
    Fieldset: Type.ZFieldset_CodeProps;
    Figure: Type.ZFigure_CodeProps;
    FloatingBanner: Type.ZFloatingBanner_CodeProps;
    Form: Type.ZForm_CodeProps;
    InputGroup: Type.ZInputGroup_CodeProps;
    Modal: Type.ZModal_CodeProps;
    SideMenu: Type.ZSideMenu_CodeProps;
    Sidebar: Type.ZSidebar_CodeProps;
    SnapScroll: Type.ZSnapScroll_CodeProps;
    Table: Type.ZTable_CodeProps;
    Tabs: Type.ZTabs_CodeProps;
};
type Molecules = {
    ActionCard: Type.ZActionCard_CodeProps;
    Alert: Type.ZAlert_CodeProps;
    ArticleCard: Type.ZArticleCard_CodeProps;
    Avatar: Type.ZAvatar_CodeProps;
    AvatarList: Type.ZAvatarList_CodeProps;
    Breadcrumbs: Type.ZBreadcrumbs_CodeProps;
    EmptyState: Type.ZEmptyState_CodeProps;
    EventListItem: Type.ZEventListItem_CodeProps;
    ImageStage: Type.ZImageStage_CodeProps;
    ListItem: Type.ZListItem_CodeProps;
    Promo: Type.ZPromo_CodeProps;
    Quote: Type.ZQuote_CodeProps;
    ShareBar: Type.ZShareBar_CodeProps;
    ShareButton: Type.ZShareButton_CodeProps;
    Stage: Type.ZStage_CodeProps;
    StageBanner: Type.ZStageBanner_CodeProps;
    Tile: Type.ZTile_CodeProps;
};
type Organisms = {
    AsyncContent: Type.ZAsyncContent_CodeProps;
    CookiesConsent: Type.ZCookiesConsent_CodeProps;
    Footer: Type.ZFooter_CodeProps;
    LanguageSelector: Type.ZLanguageSelector_CodeProps;
    MobileNavBar: Type.ZMobileNavBar_CodeProps;
    Navigation: Type.ZNavigation_CodeProps;
};
export type CodeProps = {
    atoms: Atoms;
    data: Data;
    functionalities: Functionalities;
    inputs: Inputs;
    layouts: Layouts;
    molecules: Molecules;
    organisms: Organisms;
};
export type ZAll_CodeProps = Atoms & Data & Functionalities & Inputs & Layouts & Molecules & Organisms;
export type ZComponentName = keyof ZAll_CodeProps;
export {};
