import { NAND, NOR, NOT, XOR } from '../typescript/Boolean.types';
/**
 * Generates a random boolean value.
 *
 * @returns {boolean} A random boolean value.
 */
export declare function randomBoolean(): boolean;
/**
 * Toggles a boolean value.
 *
 * @param bool - The boolean value to toggle.
 * @returns The toggled boolean value.
 */
export declare function not<T extends boolean>(bool: T): NOT<T>;
/**
 * Performs the XOR operation on two boolean values.
 *
 * @param a - The first boolean value.
 * @param b - The second boolean value.
 * @returns The result of the XOR operation.
 */
export declare function xor<T extends boolean, U extends boolean>(a: T, b: U): XOR<T, U>;
/**
 * Performs the NOR operation on two boolean values.
 *
 * @param a - The first boolean value.
 * @param b - The second boolean value.
 * @returns The result of the XOR operation.
 */
export declare function nor<T extends boolean, U extends boolean>(a: T, b: U): NOR<T, U>;
/**
 * Performs the NAND operation on two boolean values.
 *
 * @param a - The first boolean value.
 * @param b - The second boolean value.
 * @returns The result of the XOR operation.
 */
export declare function nand<T extends boolean, U extends boolean>(a: T, b: U): NAND<T, U>;
