/**
 * Checks if the provided value is a number.
 *
 * @param numb - The value to check.
 * @returns A boolean indicating whether the value is a number or not.
 */
export declare function isNumber(numb: unknown): numb is number;
/**
 * Parses the given value into a number.
 *
 * @param numb - The value to be parsed.
 * @returns The parsed number.
 * @throws {Error} If the value is an empty string or an object, or if it cannot be parsed into a number.
 */
export declare function parseNumber(numb: unknown): number;
/**
 * Checks if a number is even.
 *
 * @param num - The number to check.
 * @returns `true` if the number is even, `false` otherwise.
 */
export declare function isEven(num: number): boolean;
