/**
 * Generates a random number between the specified minimum and maximum values (inclusive).
 *
 * @param min - The minimum value of the range.
 * @param max - The maximum value of the range.
 * @returns A random number between the minimum and maximum values.
 */
export declare function randomNumber(min?: number, max?: number): number;
/**
 * Calculates the average of an array of numbers.
 *
 * @param array - The array of numbers.
 * @returns The average of the numbers in the array.
 */
export declare function avg(array: number[]): number;
/**
 * Calculates the average of the numbers in an array that satisfy a given condition.
 *
 * @param array - The array of numbers.
 * @param filter - A function that determines whether a number should be included in the average calculation.
 *                 It takes two parameters: the number and its index in the array.
 *                 Return `true` to include the number, or `false` to exclude it.
 * @returns The average of the numbers that satisfy the condition.
 */
export declare function avgIf(array: number[], filter: (num: number, index: number) => boolean): number;
/**
 * Calculates the sum of all numbers in an array.
 *
 * @param array - The array of numbers to sum.
 * @returns The sum of all numbers in the array.
 */
export declare function sum(array: number[]): number;
/**
 * Sums up the numbers in an array that satisfy a given condition.
 *
 * @param array - The array of numbers to sum.
 * @param filter - A function that determines whether a number should be included in the sum.
 *                 It takes two arguments: the number and its index in the array.
 *                 Return `true` to include the number in the sum, or `false` to exclude it.
 * @returns The sum of the numbers that satisfy the condition.
 */
export declare function sumIf(array: number[], filter: (num: number, index: number) => boolean): number;
