/**
 * Converts a `Set` to an `array`.
 *
 * @param set - The Set to convert.
 * @returns An array containing the values of the Set.
 * @template T - The type of elements in the Set.
 */
export declare function setToArray<T>(set: Set<T>): T[];
/**
 * Converts an `array` to a `Set`.
 *
 * @param array - The array to convert.
 * @returns A new Set containing the elements of the array.
 * @template T - The type of elements in the array.
 */
export declare function arrayToSet<T>(array: T[]): Set<T>;
