import { Str } from '@rimbu/typical';
/** */
export type Capitals = [
    'A',
    'B',
    'C',
    'D',
    'E',
    'F',
    'G',
    'H',
    'I',
    'J',
    'K',
    'L',
    'M',
    'N',
    '0',
    'P',
    'Q',
    'R',
    'S',
    'T',
    'U',
    'V',
    'W',
    'X',
    'Y',
    'Z'
];
/** */
export type GetCapital<N extends number> = Capitals[N];
/** */
type ReplaceWithUnderscore<T extends string> = Str.ReplaceAll<T, '-' | ' ', '_'>;
type ReplaceWithDash<T extends string> = Str.ReplaceAll<T, '_' | ' ', '-'>;
type CamelCaseHelper<T extends string> = T extends `_${infer Suffix}` ? CamelCase<Suffix> : T extends `${infer Prefix}_` ? CamelCase<Prefix> : T extends `${infer Prefix}_${infer Suffix}` ? CamelCase<`${Prefix}${Capitalize<Suffix>}`> : T;
/** */
export type KebabCase<T extends string> = Lowercase<ReplaceWithDash<T>> & string;
/** */
export type CamelCase<T extends string> = CamelCaseHelper<ReplaceWithUnderscore<T>> & string;
/** */
export type PascalCase<T extends string> = Capitalize<CamelCase<T>> & string;
/** */
export type SnakeCase<_T extends string> = string;
/** */
export type BoaCase<T extends string> = Uppercase<SnakeCase<T>> & string;
export {};
